Debian Bug report logs - #685896
dovecot-core: Overwrites SSL certificate without warning

version graph

Package: dovecot-core; Maintainer for dovecot-core is Dovecot Maintainers <jaldhar-dovecot@debian.org>; Source for dovecot-core is src:dovecot.

Reported by: Steve Kowalik <stevenk@debian.org>

Date: Sun, 26 Aug 2012 07:03:02 UTC

Severity: grave

Tags: patch

Merged with 631257

Fixed in version dovecot/1:2.1.7-3

Done: jaldhar@debian.org (Jaldhar H. Vyas)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Dovecot Maintainers <jaldhar-dovecot@debian.org>:
Bug#685896; Package dovecot-core. (Sun, 26 Aug 2012 07:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Kowalik <stevenk@debian.org>:
New Bug report received and forwarded. Copy sent to Dovecot Maintainers <jaldhar-dovecot@debian.org>. (Sun, 26 Aug 2012 07:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steve Kowalik <stevenk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dovecot-core: Overwrites SSL certificate without warning
Date: Sun, 26 Aug 2012 16:53:52 +1000
Package: dovecot-core
Version: 1:2.1.7-1
Severity: critical
Justification: causes serious data loss

The dovecot-core postinst makes serious assumptions about the state of
SSL certificates on a users machine. If a user has both the certificate
and the private key in one file called /etc/ssl/certs/dovecot.pem, the 
postinst will not hesitate to overwrite them because
/etc/ssl/private/dovecot.pem does not exist. Surely the postinst should
check if either file exists not both?


-- System Information:
Debian Release: wheezy/sid
  APT prefers precise-updates
  APT policy: (500, 'precise-updates'), (500, 'precise-security'), (500, 'precise')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-29-generic (SMP w/8 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



Information forwarded to debian-bugs-dist@lists.debian.org, Dovecot Maintainers <jaldhar-dovecot@debian.org>:
Bug#685896; Package dovecot-core. (Sat, 08 Sep 2012 15:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Ufimtsev <alexu@ucd.ie>:
Extra info received and forwarded to list. Copy sent to Dovecot Maintainers <jaldhar-dovecot@debian.org>. (Sat, 08 Sep 2012 15:57:06 GMT) Full text and rfc822 format available.

Message #10 received at 685896@bugs.debian.org (full text, mbox):

From: Alexander Ufimtsev <alexu@ucd.ie>
To: 685896@bugs.debian.org
Subject: #685896
Date: Sat, 08 Sep 2012 16:09:47 +0100
[Message part 1 (text/plain, inline)]
bts tags 685896 + patch
[685896.patch (text/x-patch, attachment)]

Added tag(s) patch. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sat, 08 Sep 2012 16:12:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dovecot Maintainers <jaldhar-dovecot@debian.org>:
Bug#685896; Package dovecot-core. (Sat, 08 Sep 2012 16:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Ufimtsev <alexu@ucd.ie>:
Extra info received and forwarded to list. Copy sent to Dovecot Maintainers <jaldhar-dovecot@debian.org>. (Sat, 08 Sep 2012 16:15:03 GMT) Full text and rfc822 format available.

Message #17 received at 685896@bugs.debian.org (full text, mbox):

From: Alexander Ufimtsev <alexu@ucd.ie>
To: 685896@bugs.debian.org
Cc: control@bugs.debian.org
Subject: #685896
Date: Sat, 08 Sep 2012 17:13:37 +0100
[Message part 1 (text/plain, inline)]
tags 685896 patch
[685896.patch (text/x-patch, attachment)]

Bug reassigned from package 'dovecot-core' to 'src:dovecot'. Request was from Alexander Ufimtsev <alexu@ucd.ie> to control@bugs.debian.org. (Sat, 08 Sep 2012 17:45:03 GMT) Full text and rfc822 format available.

No longer marked as found in versions dovecot/1:2.1.7-1. Request was from Alexander Ufimtsev <alexu@ucd.ie> to control@bugs.debian.org. (Sat, 08 Sep 2012 17:45:04 GMT) Full text and rfc822 format available.

Severity set to 'grave' from 'critical' Request was from Alexander Ufimtsev <alexu@ucd.ie> to control@bugs.debian.org. (Sat, 08 Sep 2012 17:45:05 GMT) Full text and rfc822 format available.

Merged 631257 685896 Request was from Alexander Ufimtsev <alexu@ucd.ie> to control@bugs.debian.org. (Sat, 08 Sep 2012 17:45:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dovecot Maintainers <jaldhar-dovecot@debian.org>:
Bug#685896; Package src:dovecot. (Sat, 08 Sep 2012 18:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrich Dangel <uli@debian.org>:
Extra info received and forwarded to list. Copy sent to Dovecot Maintainers <jaldhar-dovecot@debian.org>. (Sat, 08 Sep 2012 18:33:05 GMT) Full text and rfc822 format available.

Message #30 received at 685896@bugs.debian.org (full text, mbox):

From: Ulrich Dangel <uli@debian.org>
To: 685896@bugs.debian.org
Cc: 631257@bugs.debian.org
Subject: dovecot: diff for NMU version 1:2.1.7-2.1
Date: Sat, 8 Sep 2012 19:28:42 +0100
[Message part 1 (text/plain, inline)]
tags 685896 + pending
tags 631257 + pending
thanks

Dear maintainer,

I've prepared an NMU for dovecot (versioned as 1:2.1.7-2.1) and
uploaded it to DELAYED/3. Please feel free to tell me if I
should delay it longer.

Regards.
[dovecot-2.1.7-2.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) pending. Request was from Ulrich Dangel <uli@debian.org> to control@bugs.debian.org. (Sat, 08 Sep 2012 18:33:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dovecot Maintainers <jaldhar-dovecot@debian.org>:
Bug#685896; Package src:dovecot. (Sat, 08 Sep 2012 18:57:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jaldhar H. Vyas" <jaldhar@debian.org>:
Extra info received and forwarded to list. Copy sent to Dovecot Maintainers <jaldhar-dovecot@debian.org>. (Sat, 08 Sep 2012 18:57:15 GMT) Full text and rfc822 format available.

Message #37 received at 685896@bugs.debian.org (full text, mbox):

From: "Jaldhar H. Vyas" <jaldhar@debian.org>
To: Ulrich Dangel <uli@debian.org>, 631257@bugs.debian.org
Cc: 685896@bugs.debian.org, Dovecot Maintainers <jaldhar-dovecot@debian.org>
Subject: Re: Bug#631257: dovecot: diff for NMU version 1:2.1.7-2.1
Date: Sat, 8 Sep 2012 14:47:55 -0400 (EDT)
On Sat, 8 Sep 2012, Ulrich Dangel wrote:

> tags 685896 + pending
> tags 631257 + pending
> thanks
>
> Dear maintainer,
>
> I've prepared an NMU for dovecot (versioned as 1:2.1.7-2.1) and
> uploaded it to DELAYED/3. Please feel free to tell me if I
> should delay it longer.
>

Actually you can cancel it.  After a long bout of inactivity I'm working 
on a new revision of the package and I will fold your changes into it.  If 
you like, you can make future changes directly into a branch of the 
dovecot git repository.  (It's in collab-maint so you should already have 
access.)


-- 
Jaldhar H. Vyas <jaldhar@debian.org>
La Salle Debain - http://www.braincells.com/debian/



Information forwarded to debian-bugs-dist@lists.debian.org, Dovecot Maintainers <jaldhar-dovecot@debian.org>:
Bug#685896; Package src:dovecot. (Sat, 08 Sep 2012 23:21:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrich Dangel <uli@debian.org>:
Extra info received and forwarded to list. Copy sent to Dovecot Maintainers <jaldhar-dovecot@debian.org>. (Sat, 08 Sep 2012 23:21:11 GMT) Full text and rfc822 format available.

Message #42 received at 685896@bugs.debian.org (full text, mbox):

From: Ulrich Dangel <uli@debian.org>
To: "Jaldhar H. Vyas" <jaldhar@debian.org>
Cc: 631257@bugs.debian.org, 685896@bugs.debian.org, Dovecot Maintainers <jaldhar-dovecot@debian.org>, alexu@ucd.ie
Subject: Re: Bug#631257: dovecot: diff for NMU version 1:2.1.7-2.1
Date: Sun, 9 Sep 2012 01:11:34 +0200
* Jaldhar H. Vyas wrote [08.09.12 20:47]:

> Actually you can cancel it.  After a long bout of inactivity I'm
> working on a new revision of the package and I will fold your
> changes into it.  

Ok great, i just canceled it!

> If you like, you can make future changes directly
> into a branch of the dovecot git repository.  (It's in collab-maint
> so you should already have access.)

Yeah i wasn't really sure what's considered good practice so I decided
to just upload it to delayed.

Thanks for taking care of the bug.

cheers,
Ulrich



Information forwarded to debian-bugs-dist@lists.debian.org, Dovecot Maintainers <jaldhar-dovecot@debian.org>:
Bug#685896; Package src:dovecot. (Sun, 23 Sep 2012 16:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martín Ferrari <martin.ferrari@gmail.com>:
Extra info received and forwarded to list. Copy sent to Dovecot Maintainers <jaldhar-dovecot@debian.org>. (Sun, 23 Sep 2012 16:15:05 GMT) Full text and rfc822 format available.

Message #47 received at 685896@bugs.debian.org (full text, mbox):

From: Martín Ferrari <martin.ferrari@gmail.com>
To: 685896@bugs.debian.org, "Jaldhar H. Vyas" <jaldhar@debian.org>, Ulrich Dangel <uli@debian.org>
Subject: Updates?
Date: Sun, 23 Sep 2012 17:11:10 +0100
> Actually you can cancel it.  After a long bout of inactivity I'm working
> on a new revision of the package and I will fold your changes into it.  If
> you like, you can make future changes directly into a branch of the
> dovecot git repository.  (It's in collab-maint so you should already have
> access.)

Hi Jaldhar,

Any updates on this? I was looking at the list of bugs we worked on
during the BSP, and found this is still open. Also, you say you were
working on a new release, which might not be welcomed by the RT during
a freeze... If you don't have the time now, please say so, and we will
upload an NMU again.

-- 
Martín Ferrari



Information forwarded to debian-bugs-dist@lists.debian.org, Dovecot Maintainers <jaldhar-dovecot@debian.org>:
Bug#685896; Package src:dovecot. (Tue, 25 Sep 2012 05:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jaldhar H. Vyas" <jaldhar@debian.org>:
Extra info received and forwarded to list. Copy sent to Dovecot Maintainers <jaldhar-dovecot@debian.org>. (Tue, 25 Sep 2012 05:06:03 GMT) Full text and rfc822 format available.

Message #52 received at 685896@bugs.debian.org (full text, mbox):

From: "Jaldhar H. Vyas" <jaldhar@debian.org>
To: Martín Ferrari <martin.ferrari@gmail.com>, 685896@bugs.debian.org
Cc: Ulrich Dangel <uli@debian.org>, Dovecot Maintainers <jaldhar-dovecot@debian.org>
Subject: Re: Bug#685896: Updates?
Date: Tue, 25 Sep 2012 01:52:37 -0400 (EDT)
[Message part 1 (text/plain, inline)]
On Sun, 23 Sep 2012, Martín Ferrari wrote:

> Hi Jaldhar,
>
> Any updates on this? I was looking at the list of bugs we worked on
> during the BSP, and found this is still open. Also, you say you were
> working on a new release, which might not be welcomed by the RT during
> a freeze... If you don't have the time now, please say so, and we will
> upload an NMU again.
>
>

Unfortunately all kinds of things are going wrong in RL so progress has 
been much slower than I wanted but this change and many other bugfixes are 
in git and a new release will happen Real Soon Now.  The primary 
holdup now is a fix for #608719.  Because of the freeze I want to give the
release managers absolutely no reason to reject the package so I'm being extra
cautious and checking and double checking I'm handling this right.  Sorry 
for the delay.

-- 
Jaldhar H. Vyas <jaldhar@debian.org>

Bug reassigned from package 'src:dovecot' to 'dovecot-core'. Request was from "Jaldhar H. Vyas" <jaldhar@debian.org> to control@bugs.debian.org. (Sun, 30 Sep 2012 06:24:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dovecot Maintainers <jaldhar-dovecot@debian.org>:
Bug#685896; Package dovecot-core. (Wed, 31 Oct 2012 17:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@boum.org>:
Extra info received and forwarded to list. Copy sent to Dovecot Maintainers <jaldhar-dovecot@debian.org>. (Wed, 31 Oct 2012 17:00:07 GMT) Full text and rfc822 format available.

Message #59 received at 685896@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@boum.org>
To: "Jaldhar H. Vyas" <jaldhar@debian.org>, Dovecot Maintainers <jaldhar-dovecot@debian.org>
Cc: 631257@bugs.debian.org, 685896@bugs.debian.org, alexu@ucd.ie, Ulrich Dangel <uli@debian.org>
Subject: Re: Bug#631257: dovecot: diff for NMU version 1:2.1.7-2.1
Date: Wed, 31 Oct 2012 17:56:04 +0100
Hi Dovecot maintainers!

Ulrich Dangel wrote (08 Sep 2012 23:11:34 GMT) :
> * Jaldhar H. Vyas wrote [08.09.12 20:47]:

>> Actually you can cancel it.  After a long bout of inactivity I'm
>> working on a new revision of the package and I will fold your
>> changes into it.  

> Ok great, i just canceled it!

All reproducible RC bugs against dovecot have been fixed in Git for
a month. Can we expect a package suitable for a freeze unblock request
to be uploaded any time soon?

Thank you for maintaining Dovecot in Debian!

Cheers,
--
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc



Information forwarded to debian-bugs-dist@lists.debian.org, Dovecot Maintainers <jaldhar-dovecot@debian.org>:
Bug#685896; Package dovecot-core. (Thu, 08 Nov 2012 06:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jaldhar H. Vyas" <jaldhar@debian.org>:
Extra info received and forwarded to list. Copy sent to Dovecot Maintainers <jaldhar-dovecot@debian.org>. (Thu, 08 Nov 2012 06:09:05 GMT) Full text and rfc822 format available.

Message #64 received at 685896@bugs.debian.org (full text, mbox):

From: "Jaldhar H. Vyas" <jaldhar@debian.org>
To: intrigeri <intrigeri@boum.org>
Cc: Dovecot Maintainers <jaldhar-dovecot@debian.org>, 631257@bugs.debian.org, 685896@bugs.debian.org, 665407@bugs.debian.org, alexu@ucd.ie, Ulrich Dangel <uli@debian.org>
Subject: Re: Bug#631257: dovecot: diff for NMU version 1:2.1.7-2.1
Date: Thu, 8 Nov 2012 00:59:10 -0500 (EST)
On Wed, 31 Oct 2012, intrigeri wrote:

> All reproducible RC bugs against dovecot have been fixed in Git for
> a month. Can we expect a package suitable for a freeze unblock request
> to be uploaded any time soon?

Actually #665407 revealed an issue that is imperetive to fix for the 
upload can happen.  Hopefully we will get to the bottom of it very soon.


-- 
Jaldhar H. Vyas <jaldhar@debian.org>



Message #65 received at 631257-close@bugs.debian.org (full text, mbox):

From: jaldhar@debian.org (Jaldhar H. Vyas)
To: 631257-close@bugs.debian.org
Subject: Bug#631257: fixed in dovecot 1:2.1.7-3
Date: Sat, 10 Nov 2012 09:47:51 +0000
Source: dovecot
Source-Version: 1:2.1.7-3

We believe that the bug you reported is fixed in the latest version of
dovecot, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 631257@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jaldhar H. Vyas <jaldhar@debian.org> (supplier of updated dovecot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 10 Nov 2012 03:50:30 -0500
Source: dovecot
Binary: dovecot-common dovecot-core dovecot-dev dovecot-imapd dovecot-pop3d dovecot-lmtpd dovecot-managesieved dovecot-pgsql dovecot-mysql dovecot-sqlite dovecot-ldap dovecot-gssapi dovecot-sieve dovecot-solr dovecot-dbg
Architecture: source all i386
Version: 1:2.1.7-3
Distribution: unstable
Urgency: high
Maintainer: Dovecot Maintainers <jaldhar-dovecot@debian.org>
Changed-By: Jaldhar H. Vyas <jaldhar@debian.org>
Description: 
 dovecot-common - Transitional package for dovecot
 dovecot-core - secure mail server that supports mbox, maildir, dbox and mdbox ma
 dovecot-dbg - debug symbols for Dovecot
 dovecot-dev - header files for the dovecot mail server
 dovecot-gssapi - GSSAPI authentication support for Dovecot
 dovecot-imapd - secure IMAP server that supports mbox, maildir, dbox and mdbox ma
 dovecot-ldap - LDAP support for Dovecot
 dovecot-lmtpd - secure LMTP server for Dovecot
 dovecot-managesieved - secure ManageSieve server for Dovecot
 dovecot-mysql - MySQL support for Dovecot
 dovecot-pgsql - PostgreSQL support for Dovecot
 dovecot-pop3d - secure POP3 server that supports mbox, maildir, dbox and mdbox ma
 dovecot-sieve - sieve filters support for Dovecot
 dovecot-solr - Solr full text search support for Dovecot
 dovecot-sqlite - SQLite support for Dovecot
Closes: 601744 608719 623440 631257 665487 679017 680035 680992 685850 685896 686931 688197 688407 692632
Changes: 
 dovecot (1:2.1.7-3) unstable; urgency=high
 .
   [ Jaldhar H. Vyas ]
   * [03d5499] Do not generate new dovecot cert if key or cert is already
     present (Closes: #685896,#631257) Thanks to Alexander Ufimtsev
     <alexu@ucd.ie> and Jörg-Volker Peetz <jvpeetz@web.de> for patches.
   * [5be6c2a] You should be able to upgrade and remove dovecot-managesieved
     without errors (Closes: #665487)
   * [1a9ad5c] Fixes instances where UTF-8 was misused instead of mUTF-7
     (Closes: #680035)
   * [c0ac3ba] Backport of fix for failure to autocreate mailboxes
     (Closes: #623440) This also requires setting the default mail_location.
   * [ba1d3f5] Fix FTBS on Hurd (Closes: #686931) via upstream patch backported
     from mercurial.
   * [cfa92b5] Upgrade pigeonhole page to 0.3.1 (Closes: #688407)
   * [58f01c2] Generated certificates will now be created in /etc/dovecot
     (Closes: #608719)
   * [8e40ea5] Patch to build with PIE and bindnow
     by intrigeri@debian.org (Closes: #679017)
   * [87d982b] Use libwrap (Closes: #685850)
   * [ebb5421] Start after nslcd (Closes: #692632)
   * [2db5c1a] Add support for dpkg triggers.  This means dovecot will not be
     repeatedly restarted when installing or removing lots of plugins
     (Closes: #601744)
   * [bc66629] Patch to document -k in dsync.1
     by Luca Capello <luca@pca.it> (Closes: #680992)
   * [ba67766] Add lintian overrides.
 .
   [ Marco Nenciarini ]
   * [ffba408] Updated watch file
   * [9777434] Install missing default configuration files from upstream
   * [9496828] Backport fix for segfault in managesieve triggered by
     CHECKSCRIPT command. (Closes: #688197)
Checksums-Sha1: 
 fc214389781ea1baa5d6c952a92150b91e062f41 2302 dovecot_2.1.7-3.dsc
 68fc6c80b71946d88f492b3182cb73b43b921bbe 3778791 dovecot_2.1.7.orig.tar.gz
 e76fe2be1ed86cc0d902075c0a9b809e0c33123b 1122202 dovecot_2.1.7-3.debian.tar.gz
 be524789212c2d93468c6534727a9eeb26f41ca5 24334 dovecot-common_2.1.7-3_all.deb
 bf66eebcb3be8fd00ced5386ae21422e66bc602b 2904766 dovecot-core_2.1.7-3_i386.deb
 3dde1cedbd32d9d3cadb92bad91e8f69e0ab2551 575134 dovecot-dev_2.1.7-3_i386.deb
 e0d6ff48376c3d8e4e294ece3c7428f28f2d58b0 425784 dovecot-imapd_2.1.7-3_i386.deb
 28365bf859187cef0035054f20b9a8df00f80277 362254 dovecot-pop3d_2.1.7-3_i386.deb
 77db62ff3a14ed98669f91f67d0a915abcd7e7ca 352092 dovecot-lmtpd_2.1.7-3_i386.deb
 a8519658c4682b7d864fd3a324429ecc21123ddf 391868 dovecot-managesieved_2.1.7-3_i386.deb
 78f254335bcb4a249638fae46923dc65435e2025 344526 dovecot-pgsql_2.1.7-3_i386.deb
 20e2a52347f6b8952f1f8d627aeabd6ad7cba6c5 341474 dovecot-mysql_2.1.7-3_i386.deb
 cdec2f0afd8444c62ca0e20d8ce3aec6564b72d4 339372 dovecot-sqlite_2.1.7-3_i386.deb
 f8a025212d3acb439d75fc16c8c2f455d9fc5362 354766 dovecot-ldap_2.1.7-3_i386.deb
 5a489e67985a2d54798a0071b4e6eea5ca049691 339910 dovecot-gssapi_2.1.7-3_i386.deb
 f00799e18956a8bdfdebc517d120fd4cbeb63fd1 593878 dovecot-sieve_2.1.7-3_i386.deb
 7d4c34c566cba44d87134024cf8bdb6ba7e31b63 352894 dovecot-solr_2.1.7-3_i386.deb
 ce4314741b29217b06c96017d4bd24f560977a92 5162908 dovecot-dbg_2.1.7-3_i386.deb
Checksums-Sha256: 
 6edb0b85f8ab53725a56bbdddc70c7a84629a60ebdf7e7c04039d4fd33bd1640 2302 dovecot_2.1.7-3.dsc
 d5b7bc61fff947722aebe12ebb25e92c38ce3e27e14ebc54cfc66f0b346cf452 3778791 dovecot_2.1.7.orig.tar.gz
 3b42fcac3da3363adfd73d44028934e459e5dc4978a2e46c199c8d683552945a 1122202 dovecot_2.1.7-3.debian.tar.gz
 bdcab7c81890fd1c1dd1dda7e7448ebf8c66d3d440dcc43637c55e322ee5d269 24334 dovecot-common_2.1.7-3_all.deb
 29049980e636782d223feebc77a9eec6f259ab0d6eb1c45bf1d933150413e4a6 2904766 dovecot-core_2.1.7-3_i386.deb
 bd8ec5ad11b543e995eddfc79b68535fe0c380b474fbb99b355e0de35928c734 575134 dovecot-dev_2.1.7-3_i386.deb
 ed6f975bb23f4f184bab515edb53a15811aace0338bfdb65d639aa807df49b4f 425784 dovecot-imapd_2.1.7-3_i386.deb
 ca9f30122c2e7c306127d75559b76f95e760e6b5c6ae198563ace41c1cf79ca0 362254 dovecot-pop3d_2.1.7-3_i386.deb
 c6e9c6c675c00dfbaf7912a51e196a2b1fbe8e333637d10978595680af55bf76 352092 dovecot-lmtpd_2.1.7-3_i386.deb
 f2bb74cdcc436e09cac2bb8cf6852e32cbb03505a06b04ef708365ceaf079c03 391868 dovecot-managesieved_2.1.7-3_i386.deb
 0c15f02e8f1bf95d7331b575bfd4c1d92b4bfc2fe1d2ed379836b62b6fabafe1 344526 dovecot-pgsql_2.1.7-3_i386.deb
 9f78494eed34320339db71869bc6fefa5ae500e8fa6ed0e4c454aee21b855f84 341474 dovecot-mysql_2.1.7-3_i386.deb
 cfcf5001cff31cf140902b5500e1458612deac0a3320d3b203c21a6edcbaf47f 339372 dovecot-sqlite_2.1.7-3_i386.deb
 c3da8c0570784efc54e56281a3e44fbde5159e00a3cf43d4c419e63b881f6a64 354766 dovecot-ldap_2.1.7-3_i386.deb
 e342c8ea392177600a8f924a1397f24b685bcbaa408731f252abec46f5c502fa 339910 dovecot-gssapi_2.1.7-3_i386.deb
 ebd6d5f7d953f8429a2b9a9096d29e90ecbb886c90351268cd148346c8e9caa2 593878 dovecot-sieve_2.1.7-3_i386.deb
 cedc7aae9e80f8a236f91d7f64ac7b916091435098c22d74df5eb0eaeac8a9e5 352894 dovecot-solr_2.1.7-3_i386.deb
 c2c6343c719eb56a606a69ad8146f94dde9faa5b23008caaf4d97919e2f255ba 5162908 dovecot-dbg_2.1.7-3_i386.deb
Files: 
 dd75e78bafaa120e51d53e6721872183 2302 mail optional dovecot_2.1.7-3.dsc
 b52d0faf1b9ec21bc5552691fe0ff1d1 3778791 mail optional dovecot_2.1.7.orig.tar.gz
 cd5b424acc33ec3b2869c653ada4a81f 1122202 mail optional dovecot_2.1.7-3.debian.tar.gz
 6fecccf2ed6e7059976d207112e55f95 24334 oldlibs extra dovecot-common_2.1.7-3_all.deb
 e2d05e9aaaea58dca7ed18a59dff3f47 2904766 mail optional dovecot-core_2.1.7-3_i386.deb
 24835517f773ac84656ff565ccc9b582 575134 mail optional dovecot-dev_2.1.7-3_i386.deb
 345ddd1e6951ecf19062b76a252a6dc5 425784 mail optional dovecot-imapd_2.1.7-3_i386.deb
 15ea869e54f97f5662dc6da3b748890d 362254 mail optional dovecot-pop3d_2.1.7-3_i386.deb
 a5d5f737cf478b152ad0972f407da362 352092 mail optional dovecot-lmtpd_2.1.7-3_i386.deb
 743e5c70391e0891330223aebc211930 391868 mail optional dovecot-managesieved_2.1.7-3_i386.deb
 ee4affa6f6cefc7dfab303e0a77bacb4 344526 mail optional dovecot-pgsql_2.1.7-3_i386.deb
 05f16f90cbbafe88ffa94a26a84b5c1a 341474 mail optional dovecot-mysql_2.1.7-3_i386.deb
 d5fdf9c3d6a4be3ffa8db682ce8bbd7f 339372 mail optional dovecot-sqlite_2.1.7-3_i386.deb
 a52d998a9c883918135f22e73184f939 354766 mail optional dovecot-ldap_2.1.7-3_i386.deb
 a830e705db928a42b168f38da6a07129 339910 mail optional dovecot-gssapi_2.1.7-3_i386.deb
 a181ac405f72b51dfa120567d82cf079 593878 mail optional dovecot-sieve_2.1.7-3_i386.deb
 58ec02816e35e9809abcdfb5709487c9 352894 mail optional dovecot-solr_2.1.7-3_i386.deb
 b59cead5a4591ac736c80f18dbb6b96b 5162908 debug extra dovecot-dbg_2.1.7-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAlCdoeQACgkQ2kYOR+5txmryYACfcU/4H34xaovRKIVfNXoWxAws
Pm4An1QP9vpv7a6NSvGIzVX3zXtM/4UZ
=iaiO
-----END PGP SIGNATURE-----




Reply sent to jaldhar@debian.org (Jaldhar H. Vyas):
You have taken responsibility. (Sat, 10 Nov 2012 09:51:26 GMT) Full text and rfc822 format available.

Notification sent to Steve Kowalik <stevenk@debian.org>:
Bug acknowledged by developer. (Sat, 10 Nov 2012 09:51:26 GMT) Full text and rfc822 format available.

Message #70 received at 685896-close@bugs.debian.org (full text, mbox):

From: jaldhar@debian.org (Jaldhar H. Vyas)
To: 685896-close@bugs.debian.org
Subject: Bug#685896: fixed in dovecot 1:2.1.7-3
Date: Sat, 10 Nov 2012 09:47:51 +0000
Source: dovecot
Source-Version: 1:2.1.7-3

We believe that the bug you reported is fixed in the latest version of
dovecot, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 685896@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jaldhar H. Vyas <jaldhar@debian.org> (supplier of updated dovecot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 10 Nov 2012 03:50:30 -0500
Source: dovecot
Binary: dovecot-common dovecot-core dovecot-dev dovecot-imapd dovecot-pop3d dovecot-lmtpd dovecot-managesieved dovecot-pgsql dovecot-mysql dovecot-sqlite dovecot-ldap dovecot-gssapi dovecot-sieve dovecot-solr dovecot-dbg
Architecture: source all i386
Version: 1:2.1.7-3
Distribution: unstable
Urgency: high
Maintainer: Dovecot Maintainers <jaldhar-dovecot@debian.org>
Changed-By: Jaldhar H. Vyas <jaldhar@debian.org>
Description: 
 dovecot-common - Transitional package for dovecot
 dovecot-core - secure mail server that supports mbox, maildir, dbox and mdbox ma
 dovecot-dbg - debug symbols for Dovecot
 dovecot-dev - header files for the dovecot mail server
 dovecot-gssapi - GSSAPI authentication support for Dovecot
 dovecot-imapd - secure IMAP server that supports mbox, maildir, dbox and mdbox ma
 dovecot-ldap - LDAP support for Dovecot
 dovecot-lmtpd - secure LMTP server for Dovecot
 dovecot-managesieved - secure ManageSieve server for Dovecot
 dovecot-mysql - MySQL support for Dovecot
 dovecot-pgsql - PostgreSQL support for Dovecot
 dovecot-pop3d - secure POP3 server that supports mbox, maildir, dbox and mdbox ma
 dovecot-sieve - sieve filters support for Dovecot
 dovecot-solr - Solr full text search support for Dovecot
 dovecot-sqlite - SQLite support for Dovecot
Closes: 601744 608719 623440 631257 665487 679017 680035 680992 685850 685896 686931 688197 688407 692632
Changes: 
 dovecot (1:2.1.7-3) unstable; urgency=high
 .
   [ Jaldhar H. Vyas ]
   * [03d5499] Do not generate new dovecot cert if key or cert is already
     present (Closes: #685896,#631257) Thanks to Alexander Ufimtsev
     <alexu@ucd.ie> and Jörg-Volker Peetz <jvpeetz@web.de> for patches.
   * [5be6c2a] You should be able to upgrade and remove dovecot-managesieved
     without errors (Closes: #665487)
   * [1a9ad5c] Fixes instances where UTF-8 was misused instead of mUTF-7
     (Closes: #680035)
   * [c0ac3ba] Backport of fix for failure to autocreate mailboxes
     (Closes: #623440) This also requires setting the default mail_location.
   * [ba1d3f5] Fix FTBS on Hurd (Closes: #686931) via upstream patch backported
     from mercurial.
   * [cfa92b5] Upgrade pigeonhole page to 0.3.1 (Closes: #688407)
   * [58f01c2] Generated certificates will now be created in /etc/dovecot
     (Closes: #608719)
   * [8e40ea5] Patch to build with PIE and bindnow
     by intrigeri@debian.org (Closes: #679017)
   * [87d982b] Use libwrap (Closes: #685850)
   * [ebb5421] Start after nslcd (Closes: #692632)
   * [2db5c1a] Add support for dpkg triggers.  This means dovecot will not be
     repeatedly restarted when installing or removing lots of plugins
     (Closes: #601744)
   * [bc66629] Patch to document -k in dsync.1
     by Luca Capello <luca@pca.it> (Closes: #680992)
   * [ba67766] Add lintian overrides.
 .
   [ Marco Nenciarini ]
   * [ffba408] Updated watch file
   * [9777434] Install missing default configuration files from upstream
   * [9496828] Backport fix for segfault in managesieve triggered by
     CHECKSCRIPT command. (Closes: #688197)
Checksums-Sha1: 
 fc214389781ea1baa5d6c952a92150b91e062f41 2302 dovecot_2.1.7-3.dsc
 68fc6c80b71946d88f492b3182cb73b43b921bbe 3778791 dovecot_2.1.7.orig.tar.gz
 e76fe2be1ed86cc0d902075c0a9b809e0c33123b 1122202 dovecot_2.1.7-3.debian.tar.gz
 be524789212c2d93468c6534727a9eeb26f41ca5 24334 dovecot-common_2.1.7-3_all.deb
 bf66eebcb3be8fd00ced5386ae21422e66bc602b 2904766 dovecot-core_2.1.7-3_i386.deb
 3dde1cedbd32d9d3cadb92bad91e8f69e0ab2551 575134 dovecot-dev_2.1.7-3_i386.deb
 e0d6ff48376c3d8e4e294ece3c7428f28f2d58b0 425784 dovecot-imapd_2.1.7-3_i386.deb
 28365bf859187cef0035054f20b9a8df00f80277 362254 dovecot-pop3d_2.1.7-3_i386.deb
 77db62ff3a14ed98669f91f67d0a915abcd7e7ca 352092 dovecot-lmtpd_2.1.7-3_i386.deb
 a8519658c4682b7d864fd3a324429ecc21123ddf 391868 dovecot-managesieved_2.1.7-3_i386.deb
 78f254335bcb4a249638fae46923dc65435e2025 344526 dovecot-pgsql_2.1.7-3_i386.deb
 20e2a52347f6b8952f1f8d627aeabd6ad7cba6c5 341474 dovecot-mysql_2.1.7-3_i386.deb
 cdec2f0afd8444c62ca0e20d8ce3aec6564b72d4 339372 dovecot-sqlite_2.1.7-3_i386.deb
 f8a025212d3acb439d75fc16c8c2f455d9fc5362 354766 dovecot-ldap_2.1.7-3_i386.deb
 5a489e67985a2d54798a0071b4e6eea5ca049691 339910 dovecot-gssapi_2.1.7-3_i386.deb
 f00799e18956a8bdfdebc517d120fd4cbeb63fd1 593878 dovecot-sieve_2.1.7-3_i386.deb
 7d4c34c566cba44d87134024cf8bdb6ba7e31b63 352894 dovecot-solr_2.1.7-3_i386.deb
 ce4314741b29217b06c96017d4bd24f560977a92 5162908 dovecot-dbg_2.1.7-3_i386.deb
Checksums-Sha256: 
 6edb0b85f8ab53725a56bbdddc70c7a84629a60ebdf7e7c04039d4fd33bd1640 2302 dovecot_2.1.7-3.dsc
 d5b7bc61fff947722aebe12ebb25e92c38ce3e27e14ebc54cfc66f0b346cf452 3778791 dovecot_2.1.7.orig.tar.gz
 3b42fcac3da3363adfd73d44028934e459e5dc4978a2e46c199c8d683552945a 1122202 dovecot_2.1.7-3.debian.tar.gz
 bdcab7c81890fd1c1dd1dda7e7448ebf8c66d3d440dcc43637c55e322ee5d269 24334 dovecot-common_2.1.7-3_all.deb
 29049980e636782d223feebc77a9eec6f259ab0d6eb1c45bf1d933150413e4a6 2904766 dovecot-core_2.1.7-3_i386.deb
 bd8ec5ad11b543e995eddfc79b68535fe0c380b474fbb99b355e0de35928c734 575134 dovecot-dev_2.1.7-3_i386.deb
 ed6f975bb23f4f184bab515edb53a15811aace0338bfdb65d639aa807df49b4f 425784 dovecot-imapd_2.1.7-3_i386.deb
 ca9f30122c2e7c306127d75559b76f95e760e6b5c6ae198563ace41c1cf79ca0 362254 dovecot-pop3d_2.1.7-3_i386.deb
 c6e9c6c675c00dfbaf7912a51e196a2b1fbe8e333637d10978595680af55bf76 352092 dovecot-lmtpd_2.1.7-3_i386.deb
 f2bb74cdcc436e09cac2bb8cf6852e32cbb03505a06b04ef708365ceaf079c03 391868 dovecot-managesieved_2.1.7-3_i386.deb
 0c15f02e8f1bf95d7331b575bfd4c1d92b4bfc2fe1d2ed379836b62b6fabafe1 344526 dovecot-pgsql_2.1.7-3_i386.deb
 9f78494eed34320339db71869bc6fefa5ae500e8fa6ed0e4c454aee21b855f84 341474 dovecot-mysql_2.1.7-3_i386.deb
 cfcf5001cff31cf140902b5500e1458612deac0a3320d3b203c21a6edcbaf47f 339372 dovecot-sqlite_2.1.7-3_i386.deb
 c3da8c0570784efc54e56281a3e44fbde5159e00a3cf43d4c419e63b881f6a64 354766 dovecot-ldap_2.1.7-3_i386.deb
 e342c8ea392177600a8f924a1397f24b685bcbaa408731f252abec46f5c502fa 339910 dovecot-gssapi_2.1.7-3_i386.deb
 ebd6d5f7d953f8429a2b9a9096d29e90ecbb886c90351268cd148346c8e9caa2 593878 dovecot-sieve_2.1.7-3_i386.deb
 cedc7aae9e80f8a236f91d7f64ac7b916091435098c22d74df5eb0eaeac8a9e5 352894 dovecot-solr_2.1.7-3_i386.deb
 c2c6343c719eb56a606a69ad8146f94dde9faa5b23008caaf4d97919e2f255ba 5162908 dovecot-dbg_2.1.7-3_i386.deb
Files: 
 dd75e78bafaa120e51d53e6721872183 2302 mail optional dovecot_2.1.7-3.dsc
 b52d0faf1b9ec21bc5552691fe0ff1d1 3778791 mail optional dovecot_2.1.7.orig.tar.gz
 cd5b424acc33ec3b2869c653ada4a81f 1122202 mail optional dovecot_2.1.7-3.debian.tar.gz
 6fecccf2ed6e7059976d207112e55f95 24334 oldlibs extra dovecot-common_2.1.7-3_all.deb
 e2d05e9aaaea58dca7ed18a59dff3f47 2904766 mail optional dovecot-core_2.1.7-3_i386.deb
 24835517f773ac84656ff565ccc9b582 575134 mail optional dovecot-dev_2.1.7-3_i386.deb
 345ddd1e6951ecf19062b76a252a6dc5 425784 mail optional dovecot-imapd_2.1.7-3_i386.deb
 15ea869e54f97f5662dc6da3b748890d 362254 mail optional dovecot-pop3d_2.1.7-3_i386.deb
 a5d5f737cf478b152ad0972f407da362 352092 mail optional dovecot-lmtpd_2.1.7-3_i386.deb
 743e5c70391e0891330223aebc211930 391868 mail optional dovecot-managesieved_2.1.7-3_i386.deb
 ee4affa6f6cefc7dfab303e0a77bacb4 344526 mail optional dovecot-pgsql_2.1.7-3_i386.deb
 05f16f90cbbafe88ffa94a26a84b5c1a 341474 mail optional dovecot-mysql_2.1.7-3_i386.deb
 d5fdf9c3d6a4be3ffa8db682ce8bbd7f 339372 mail optional dovecot-sqlite_2.1.7-3_i386.deb
 a52d998a9c883918135f22e73184f939 354766 mail optional dovecot-ldap_2.1.7-3_i386.deb
 a830e705db928a42b168f38da6a07129 339910 mail optional dovecot-gssapi_2.1.7-3_i386.deb
 a181ac405f72b51dfa120567d82cf079 593878 mail optional dovecot-sieve_2.1.7-3_i386.deb
 58ec02816e35e9809abcdfb5709487c9 352894 mail optional dovecot-solr_2.1.7-3_i386.deb
 b59cead5a4591ac736c80f18dbb6b96b 5162908 debug extra dovecot-dbg_2.1.7-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAlCdoeQACgkQ2kYOR+5txmryYACfcU/4H34xaovRKIVfNXoWxAws
Pm4An1QP9vpv7a6NSvGIzVX3zXtM/4UZ
=iaiO
-----END PGP SIGNATURE-----




Reply sent to jaldhar@debian.org (Jaldhar H. Vyas):
You have taken responsibility. (Sat, 10 Nov 2012 09:51:27 GMT) Full text and rfc822 format available.

Notification sent to "Dmitry E. Oboukhov" <unera@debian.org>:
Bug acknowledged by developer. (Sat, 10 Nov 2012 09:51:27 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 27 Dec 2012 07:28:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 06:41:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.